pro get_aot_info_irc,filename, com_mode=com_mode

;Modified for combine program
;2010.5.26, Shimonishi

;;;  GET_LUN,U & openr,U,filename ;;; Original, modified 2010.5.26

  IF keyword_set(com_mode) THEN  BEGIN
     GET_LUN,U & openr,U,!IRC_SPECRED_DIR.workdir+filename  
  ENDIF  ELSE BEGIN 
     GET_LUN,U & openr,U,filename
  ENDELSE

  mrd_hread,U,header,status
  CLOSE,U & FREE_LUN,U
  
  aot=strmid(strtrim(fxpar(header,'AOT'),2),3,2)
  aot_opt=strupcase(strmid(strtrim(fxpar(header,'paraot'),2),0,1))
; pointing_opt=strmid(strtrim(fxpar(header,'paraot'),2),2,2)

  case 1 of
     aot EQ '64': begin
        aot='04'
        !IRC_SPECRED_PROCESSOPTION.warm_mode=1B
        print,'Information (get_aot_info_irc): This is warm mode data processing.'
        !IRC_SPECRED_PROCESSOPTION.AOT64_mode=1B
        print,'Information (get_aot_info_irc): This is AOT64 mode data processing.'
     end
     aot EQ 'Z4': begin
        aot='04'
        !IRC_SPECRED_PROCESSOPTION.warm_mode=1B
        print,'Information (get_aot_info_irc): This is warm mode data processing.'
        !IRC_SPECRED_PROCESSOPTION.AOT64_mode=0B
        print,'Information (get_aot_info_irc): This is AOTZ4 mode data processing.'
     end
     aot EQ 'Z2': begin
        aot='02'
        !IRC_SPECRED_PROCESSOPTION.warm_mode=1B
        print,'Information (get_aot_info_irc): This is warm mode data processing.'
        !IRC_SPECRED_PROCESSOPTION.AOT64_mode=0B
        print,'Information (get_aot_info_irc): This is AOTZ2B mode data processing.'
     end
     else: begin
        !IRC_SPECRED_PROCESSOPTION.warm_mode=0B
        !IRC_SPECRED_PROCESSOPTION.AOT64_mode=0B
     end
  endcase

  !IRC_SPECRED_OBSPARAM.AOT=aot+aot_opt

;;; force setting
;  !IRC_SPECRED_OBSPARAM.AOT='04C'
;;;

  print,'Information (get_aot_info_irc): This is '+!IRC_SPECRED_OBSPARAM.AOT+' operation mode.'
  
  if ~ (!IRC_SPECRED_OBSPARAM.AOT EQ '04A' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '04B' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '04C' || $
        !IRC_SPECRED_OBSPARAM.AOT EQ '02B') then begin
     !IRC_SPECRED_OBSPARAM.AOT='04A' ; default

     print,'Warning (get_aot_info_irc): The AOT is wrong! Check the FITS header. Assuming '+!IRC_SPECRED_OBSPARAM.AOT+' as default.'
  endif

; if !IRC_SPECRED_OBSPARAM.AOT EQ '04C' then !IRC_SPECRED_OBSPARAM.AOT='04A'
  
end
