PRO set_response,lambda,response,d_response, new_list=new_list, response_file=response_file
  if (~defined(response_file)) then begin
     case !IRC_SPECRED_PROCESSTARGET.chip of
        0: case !IRC_SPECRED_PROCESSTARGET.grism of
           0: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_NP.lst'
           1: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_NG.lst'
        endcase
         1: case !IRC_SPECRED_PROCESSTARGET.grism of
           0: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_SG1.lst'
           1: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_SG2.lst'
        endcase
        2: case !IRC_SPECRED_PROCESSTARGET.grism of
           0: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_LG1.lst'
           1: response_list=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/RESPONSE_LG2.lst'
        endcase
     endcase
     irc_list_read,response_file,list_in=response_list
     response_file=!IRC_SPECRED_DIR.calibdir+'/RESPONSE/'+response_file
  endif

  read_response,lambda,response,d_response, FilenameInput=response_file, new_list=new_list

  if (!IRC_SPECRED_PROCESSOPTION.warm_mode) AND (STRMATCH(response_file[0],'*P3*_rc_FINAL*.dat') EQ 0)  then begin
;  if (!IRC_SPECRED_PROCESSOPTION.warm_mode) then begin
     response*=0.7
     d_response*=0.7
;;     print,''
;;     print,'Phase 3 Sensitivity Calib. Value: 0.7 is multiplied to Response Curve'
;;     print,''
  endif

END
